]> code.citadel.org Git - citadel.git/blobdiff - webcit/debian/webcit.init
Remove preprocessor tests for OpenSSL. It's a requirement.
[citadel.git] / webcit / debian / webcit.init
diff --git a/webcit/debian/webcit.init b/webcit/debian/webcit.init
deleted file mode 100644 (file)
index a9b0f1b..0000000
+++ /dev/null
@@ -1,225 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          webcit
-# Required-Start:    $local_fs $remote_fs
-# Required-Stop:     $local_fs $remote_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Example initscript
-# Description:       This file should be used to construct scripts to be
-#                    placed in /etc/init.d.
-### END INIT INFO
-
-# Author: Wilfried Goesgens <citadel@outgesourced.org>
-RUNDIR=/var/run/webcit
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="Citadel Groupware Webserver "
-NAME=webserver
-DAEMON=/usr/sbin/$NAME
-DAEMON_ARGS=""
-PIDFILE=$RUNDIR/$NAME.pid
-SCRIPTNAME=/etc/init.d/webcit
-SENDCOMMAND=/usr/sbin/sendcommand
-DEFAULT=/etc/default/webcit
-LOGDIR=/var/log/webcit/
-
-
-unset LANG
-unset LANGUAGE
-unset LC_ALL
-unset LOCALE
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-MODERN=
-
-# Load the VERBOSE setting and other rcS variables
-if test -f /lib/init/vars.sh ; then
-    . /lib/init/vars.sh
-    MODERN=1
-fi
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-if test -f /lib/lsb/init-functions; then
-    . /lib/lsb/init-functions
-    MODERN=1
-fi
-
-if test -f $DEFAULT; then
-  . $DEFAULT
-fi
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-    #1: -p flag
-    #1: port
-    #2: ssl
-
-        # for ubuntu: check our volatile dirs.
-        if test ! -d $RUNDIR; then
-           mkdir -p $RUNDIR
-       fi
-
-        if test ! -d $LOGDIR; then
-           mkdir -p $LOGDIR
-       fi
-
-
-
-       # are we disabled?
-       if test "$1" -lt "0"; then
-           return 0
-       fi
-
-       # Return
-       #   0 if daemon has been started
-       #   1 if daemon was already running
-       #   2 if daemon could not be started
-       if $DAEMON -D$PIDFILE.$1 \
-           -p$@ -t$LOGDIR/access.${1}.log ; then
-           return 0
-       else
-           return 2
-       fi
-       # Add code here, if necessary, that waits for the process to be ready
-       # to handle requests from services started subsequently which depend
-       # on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-
-        for i in $PIDFILE.*; do if test -f $i; then
-           kill `cat $i`
-           rm -f $i
-       fi; done
-
-       #while test -d /proc/`cat $PIDFILE`; do
-       #    /usr/bin/printf  '.'
-       #    /bin/sleep 1
-       #done
-       #start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       #RETVAL="$?"
-       #[ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       #start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       #[ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       # rm -f $PIDFILE
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-       #
-       # If the daemon can reload its configuration without
-       # restarting (for example, when it is sent a SIGHUP),
-       # then implement that here.
-       #
-#      start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-        do_stop
-        do_start
-       return 0
-}
-
-case "$1" in
-  start)
-       if test -n "$MODERN"; then
-       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-       else
-           echo "Starting $DESC" "$NAME"
-       fi
-
-       do_start $WEBCIT_HTTP_PORT $WEBCIT_CITADEL_IP $WEBCIT_CITADEL_PORT
-       do_start $WEBCIT_HTTPS_PORT $WEBCIT_CITADEL_IP $WEBCIT_CITADEL_PORT -s
-
-       if test -n "$MODERN"; then
-           case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-           esac
-       fi
-       ;;
-  stop)
-       if test -n "$MODERN"; then
-           [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-       else
-           echo "Stopping $DESC" "$NAME"
-       fi
-       do_stop
-       if test -n "$MODERN"; then
-           case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-           esac
-       fi
-       ;;
-  #reload|force-reload)
-       #
-       # If do_reload() is not implemented then leave this commented out
-       # and leave 'force-reload' as an alias for 'restart'.
-       #
-       #log_daemon_msg "Reloading $DESC" "$NAME"
-       #do_reload
-       #log_end_msg $?
-       #;;
-  restart|force-reload)
-       #
-       # If the "reload" option is implemented then remove the
-       # 'force-reload' alias
-       #
-       if test -n "$MODERN"; then
-       log_daemon_msg "Restarting $DESC" "$NAME"
-       else
-           echo "Restarting $DESC" "$NAME"
-       fi
-
-       do_stop
-
-       if test -n "$MODERN"; then
-           case "$?" in
-               0|1)
-                   do_start
-                   case "$?" in
-                       0) log_end_msg 0 ;;
-                       1) log_end_msg 1 ;; # Old process is still running
-                       *) log_end_msg 1 ;; # Failed to start
-                   esac
-                   ;;
-               *)
-               # Failed to stop
-                   log_end_msg 1
-                   ;;
-           esac
-       fi
-       ;;
-  *)
-       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-       echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
-       exit 3
-       ;;
-esac
-
-: